
singleton Material(bmw_lights)
{
   mapTo = "bmw_lights";
   diffuseColor[0] = "1 1 1 1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   translucent = "0";
   diffuseMap[0] = "lights.dds";
   doubleSided = "1";
};

singleton Material(bmw_taillight_on)
{
   mapTo = "bmw_taillight_on";
   diffuseColor[0] = "0.1 0.03 0.03 1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   translucent = "0";
   diffuseMap[0] = "lights.dds";
   doubleSided = "1";
   emissive[0] = "1";
   glow[0] = "1";
};

singleton Material(bmw_taillight_on_intense)
{
   mapTo = "bmw_taillight_on_intense";
   diffuseColor[0] = "0.2 0.03 0.03 1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   emissive[0] = "1";
   translucent = "0";
   diffuseMap[0] = "lights.dds";
   doubleSided = "1";
   glow[0] = "1";
};

singleton Material(bmw_signal_on)
{
   mapTo = "bmw_signal_on";
   diffuseColor[0] = "0.088 0.052 0.012 1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   emissive[0] = "1";
   translucent = "0";
   diffuseMap[0] = "lights.dds";
   doubleSided = "1";
   glow[0] = "1";
};

singleton Material(bmw_lights_on)
{
   mapTo = "bmw_lights_on";
   diffuseColor[0] = "0.1 0.1 0.1 1";
   specular[0] = "0.25 0.25 0.25 1";
   emissive[0] = "1";
   specularPower[0] = "50";
   translucent = "0";
   diffuseMap[0] = "lights.dds";
   doubleSided = "1";
   glow[0] = "1";
};

singleton Material(bmw_lights_on_intense)
{
   mapTo = "bmw_lights_on_intense";
   emissive[0] = "1";
   diffuseColor[0] = "0.15 0.15 0.15 1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   translucent = "0";
   diffuseMap[0] = "lights.dds";
   doubleSided = "1";
   glow[0] = "1";
};

singleton Material(bmw_glass_dmg)
{
   mapTo = "bmw_glass_dmg";
   diffuseColor[0] = "1 1 1 0";
   diffuseColor[1] = "1 1 1 1.2";
   diffuseMap[1] = "glass_dmg.dds";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   translucent = "1";
   diffuseMap[0] = "";
   doubleSided = "1";
};

singleton Material(bmw_lights_dmg)
{
   mapTo = "bmw_lights_dmg";
   diffuseColor[0] = "1 1 1 0";
   diffuseColor[1] = "1 1 1 1";
   diffuseMap[1] = "lights_dmg.dds";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   translucent = "1";
   diffuseMap[0] = "";
   doubleSided = "1";
};

singleton Material(weatherstrip_001)
{
   mapTo = "weatherstrip_001";
   diffuseColor[0] = "1 1 1 1";
   specularMap[0] = "vehicles/common/null.dds";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   translucent = "0";
   diffuseMap[0] = "nodamage.dds";
   doubleSided = "1";
};

singleton Material(tire_001)
{
   mapTo = "tire_001";
   diffuseMap[0] = "tireA0.dds";
   specularMap[0] = "";
   diffuseColor[0] = "1 1 1 1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   translucent = "0";
   doubleSided = "1";
};

singleton Material(inner_rim_001)
{
   mapTo = "inner_rim_001";
   diffuseColor[0] = "0.7 0.7 0.7 1";
   specularMap[0] = "";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   translucent = "1";
   doubleSided = "1";
};

singleton Material(rim_001)
{
   mapTo = "rim_001";
   diffuseMap[0] = "wheel.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseColor[0] = "1 1 1 1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   translucent = "0";
   doubleSided = "1";
};

singleton Material(undercarriage_001)
{
   mapTo = "undercarriage_001";
   diffuseMap[0] = "undercarriage.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseColor[0] = "1.5 1.5 1.5 1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   translucent = "0";
   doubleSided = "1";
};

singleton Material(steel_001)
{
   mapTo = "steel_001";
   specularMap[0] = "";
   diffuseColor[0] = "0.0989679 0.0989679 0.0989679 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   doubleSided = "1";
};

singleton Material(body_001)
{
   mapTo = "body_001";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "0.9 0.9 0.9 0.83";
   specularPower[0] = "80";
   specularPower[1] = "80";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "0";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   beamngDiffuseColorSlot = 1;
   doubleSided = "1";
};

singleton Material(emblem_001)
{
   mapTo = "emblem_001";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseColor[0] = "1 1 1 1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   translucent = "0";
   diffuseMap[0] = "nodamage.dds";
   doubleSided = "1";
};

singleton Material(detail_glass_amber_001)
{
   mapTo = "detail_glass_amber_001";
   diffuseColor[0] = "1.2 1.2 1.2 1.2";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   translucent = "1";
   diffuseMap[0] = "lights.dds";
   doubleSided = "1";
};

singleton Material(detail_glass_red_001)
{
   mapTo = "detail_glass_red_001";
   diffuseColor[0] = "1 1 1 1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   translucent = "1";
   diffuseMap[0] = "lights.dds";
   doubleSided = "1";
};

singleton Material(detail_glass_clear_001)
{
   mapTo = "detail_glass_clear_001";
   diffuseColor[0] = "1.2 1.2 1.2 1.2";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   translucent = "1";
   diffuseMap[0] = "lights.dds";
   doubleSided = "1";
};

singleton Material(reverse_light_001)
{
   mapTo = "reverse_light_001";
   diffuseColor[0] = "1 1 1 1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   translucent = "1";
   doubleSided = "1";
};

singleton Material(tail_light_001)
{
   mapTo = "tail_light_001";
   diffuseColor[0] = "1 1 1 1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   translucent = "1";
   effectColor[1] = "InvisibleBlack";
   doubleSided = "1";
};

singleton Material(textured_reflector_001)
{
   mapTo = "textured_reflector_001";
   diffuseColor[0] = "1 1 1 1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   translucent = "1";
   diffuseMap[0] = "lights.dds";
   doubleSided = "1";
};

singleton Material(reflector_001)
{
   mapTo = "reflector_001";
   diffuseColor[0] = "1 1 1 1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   translucent = "0";
   diffuseMap[0] = "lights.dds";
   doubleSided = "1";
};

singleton Material(black_001)
{
   mapTo = "black_001";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[0] = "black.dds";
   diffuseColor[0] = "1 1 1 1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   doubleSided = "1";
};

singleton Material(bright)
{
   mapTo = "bright";
   diffuseColor[0] = "1 1 1 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   doubleSided = "1";
};

singleton Material(interior_001)
{
   mapTo = "interior_001";
   diffuseMap[0] = "interior_lod0.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseColor[0] = "1 1 1 1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   doubleSided = "1";
};

singleton Material(chrome_3819)
{
   mapTo = "chrome_3819";
   diffuseColor[0] = "1 1 1 1";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   translucent = "0";
   doubleSided = "1";
   cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(glass)
{
   mapTo = "glass";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   translucent = "1";
   doubleSided = "1";
};

singleton Material(badge)
{
   mapTo = "badge";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseColor[0] = "1 1 1 1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   translucent = "0";
   doubleSided = "1";
   diffuseMap[0] = "interior_lod0.dds";
};

singleton Material(mirrorMiddle)
{
   mapTo = "mirrorMiddle";
   diffuseColor[0] = "1 1 1 1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   translucent = "1";
   doubleSided = "1";
   cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(rubber_trim_001)
{
   mapTo = "rubber_trim_001";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[0] = "nodamage.dds";
   diffuseColor[0] = "1 1 1 1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucent = "0";
};

singleton Material(head_light_001)
{
   mapTo = "head_light_001";
   diffuseColor[0] = "1 1 1 1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   translucent = "0";
   doubleSided = "1";
   diffuseMap[0] = "lights.dds";
};

singleton Material(window_001)
{
   mapTo = "window_001";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   translucent = "1";
   doubleSided = "1";
};

singleton Material(matte_colors_001)
{
   mapTo = "matte_colors_001";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[0] = "nodamage.dds";
   diffuseColor[0] = "1 1 1 1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   translucent = "0";
   doubleSided = "1";
};

singleton Material(plastic2_001)
{
   mapTo = "plastic2_001";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[0] = "nodamage.dds";
   diffuseColor[0] = "1 1 1 1";
   specular[0] = "0.25 0.25 0.25 1";
   specular[3] = "White";
   specularPower[0] = "50";
   translucent = "0";
   doubleSided = "1";
};

singleton Material(bottom_001)
{
   mapTo = "bottom_001";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseColor[0] = "0.2 0.2 0.2 1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucent = "1";
};

singleton Material(black_glass_001)
{
   mapTo = "black_glass_001";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[0] = "nodamage.dds";
   diffuseColor[0] = "1 1 1 1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucent = "0";
};

singleton Material(brights_001)
{
   mapTo = "brights_001";
   diffuseMap[0] = "lights.dds";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   doubleSided = "1";
};

singleton Material(bmw_fog_light_001)
{
   mapTo = "fog_light_001";
   diffuseColor[0] = "0.512 0.512 0.512 1";
   specular[0] = "0.125 0.125 0.125 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   doubleSided = "1";
};

singleton Material(Stig)
{
   mapTo = "Stig";
   diffuseMap[0] = "Stig.dds";
   normalMap[0] = "Stig_normal.dds";
   specularPower[0] = "15";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   alphaTest = "0";
   alphaRef = "0";
   materialTag0 = "stig"; materialTag1 = "driver";
};

singleton Material(Stig_helmet)
{
   mapTo = "Stig_helmet";
   diffuseMap[0] = "Stig_helmet.dds";
   specularPower[0] = "15";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   alphaTest = "0";
   alphaRef = "0";
   materialTag0 = "stig"; materialTag1 = "driver";
};

singleton Material(Visor)
{
   mapTo = "Visor";
   diffuseMap[0] = "Stig_visor.dds";
   specularPower[0] = "15";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   alphaTest = "0";
   alphaRef = "0";
   materialTag0 = "stig"; materialTag1 = "driver";
};

singleton Material(bmw_pickup)
{
   mapTo = "bmw_pickup";
   diffuseMap[2] = "vehicles/pickup/pickup_c.dds";
   specularMap[2] = "vehicles/pickup/pickup_s.dds";
   normalMap[2] = "vehicles/pickup/pickup_n.dds";
   diffuseMap[1] = "vehicles/pickup/pickup_d.dds";
   specularMap[1] = "vehicles/pickup/pickup_s.dds";
   normalMap[1] = "vehicles/pickup/pickup_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/pickup/pickup_n.dds";
   //diffuseMap[3] = "vehicles/pickup/pickup_dirt.dds";
   //normalMap[3] = "vehicles/pickup/pickup_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   diffuseColor[2] = "0.7 0.75 0.8 1.2";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   beamngDiffuseColorSlot = 2;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(bmw_hatch)
{
   mapTo = "bmw_hatch";
   diffuseMap[2] = "vehicles/hatch/hatch_c_alt.dds";
   specularMap[2] = "vehicles/hatch/hatch_s_alt.dds";
   normalMap[2] = "vehicles/hatch/hatch_n.dds";
   diffuseMap[1] = "vehicles/hatch/hatch_d_alt.dds";
   specularMap[1] = "vehicles/hatch/hatch_s_alt.dds";
   normalMap[1] = "vehicles/hatch/hatch_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/hatch/hatch_n.dds";
   //diffuseMap[3] = "vehicles/hatch/hatch_dirt.dds";
   //normalMap[3] = "vehicles/hatch/hatch_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   diffuseColor[2] = "0.02 0.2 0.02 1.1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   beamngDiffuseColorSlot = 2;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(bmw_fullsize)
{
   mapTo = "bmw_fullsize";
   //diffuseMap[3] = "vehicles/fullsize/fullsize_police.dds";
   //specularMap[3] = "vehicles/fullsize/fullsize_s.dds";
   //normalMap[3] = "vehicles/fullsize/fullsize_n.dds";
   diffuseMap[2] = "vehicles/fullsize/fullsize_c_alt.dds";
   specularMap[2] = "vehicles/fullsize/fullsize_s.dds";
   normalMap[2] = "vehicles/fullsize/fullsize_n.dds";
   diffuseMap[1] = "vehicles/fullsize/fullsize_d.dds";
   specularMap[1] = "vehicles/fullsize/fullsize_s.dds";
   normalMap[1] = "vehicles/fullsize/fullsize_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/fullsize/fullsize_n.dds";
   //diffuseMap[3] = "vehicles/fullsize/fullsize_dirt.dds";
   //normalMap[3] = "vehicles/fullsize/fullsize_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   diffuseColor[2] = "0.67 0.63 0.53 1.1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "0 0.3 0.9 1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   beamngDiffuseColorSlot = 2;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(bmw_black)
{
   mapTo = "black";
   diffuseColor[0] = "0.0417742 0.0417742 0.0417742 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material(mirrorLeft)
{
   mapTo = "mirrorLeft";
   diffuseColor[0] = "1 1 1 1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   translucent = "1";
   doubleSided = "1";
   cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(mirrorRight)
{
   mapTo = "mirrorRight";
   diffuseColor[0] = "1 1 1 1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   translucent = "1";
   doubleSided = "1";
   cubemap = "BNG_Sky_02_cubemap";
};